Skip to main content

Introduction

A retailer offers a selection of products from multiple brands. Retailers act as publishers, providing advertising inventory for brands to promote their products. An account can have access to one or more retailers, with this access typically managed by Criteo.

Endpoint

MethodEndpointDescription
GET/accounts/{accountId}/retailersGet all retailers

Retailer Attributes

AttributeData TypeDescription
idstringRetailer IDAccepted values: string of int64 Writeable? N / Nullable? N
namestringAccount nameAccepted values: up to 100-chars string Writeable? Y / Nullable? N
campaignEligibilitieslist<enum>Example of param description here, with data type being enumAccepted values: auction, preferred, offsite, offsitecpc Writeable? N / Nullable? N

Get All Retailers

This endpoint retrieves a list of all retailers that carry the brands associated with an account. The results are provided in a paginated format.
API referenceYou can find this endpoint in the API reference as well.
Sample Request
curl -X GET "https://api.criteo.com/{version}/retail-media/accounts/18446744073709551616/retailers?pageIndex=0&pageSize=25" \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>"
Sample Response
{
    "data": [
        {
            "id": "3239117063738827231",
            "type": "RetailMediaRetailer",
            "attributes": {
                "name": "Retailer 123",
                "campaignEligibilities": [
                    "auction",
                    "preferred",
                    "offsiteCpc",
                    "offsite"
                ]
            }
        },
        // ...
        {
            "id": "18159942378514859684",
            "type": "RetailMediaRetailer",
            "attributes": {
                "name": "Retailer 789",
                "campaignEligibilities": [
                    "auction",
                    "preferred",
                    "offsiteCpc",
                    "offsite"
                ]
            }
        }
    ],
    "metadata": {
        "totalItemsAcrossAllPages": 10,
        "currentPageSize": 25,
        "currentPageIndex": 0,
        "totalPages": 1,
        "nextPage": null,
        "previousPage": null
    }
}

Responses

ResponseDescription
🟢200Call executed with success
🔴403API user does not have the authorization to make requests to the account ID. For an authorization request, follow theauthorization requeststeps

What’s Next